﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.DragDrop.Behaviors;
using Telerik.Windows.Controls.ScheduleView;
using System.Collections;

namespace ScheduleViewAndListBox
{
	class CustomerToAppointmentConverter : DataConverter
	{
		public override string[] GetConvertToFormats()
		{
			return new string[] { typeof(ScheduleViewDragDropPayload).FullName, typeof(Customer).FullName };
		}

		public override object ConvertTo(object data, string format)
		{

			var payload = DataObjectHelper.GetData(data, typeof(ScheduleViewDragDropPayload), false) as ScheduleViewDragDropPayload;
			if (payload != null)
			{
				var customers = payload.DraggedAppointments;
				return customers.OfType<CustomAppointment>().Select(a => new Customer { Name = a.Subject });
			}		
			return null;
		}
	}
}
